org.h2.constraint

## Enum Constraint.Type

- java.lang.Object
- - java.lang.Enum<Constraint.Type>
  - - org.h2.constraint.Constraint.Type

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Constraint.Type>

Enclosing class:
  Constraint

    public static enum Constraint.Type
    extends java.lang.Enum<Constraint.Type>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CHECK` The constraint type for check constraints.
`PRIMARY_KEY` The constraint type for primary key constraints.
`REFERENTIAL` The constraint type for referential constraints.
`UNIQUE` The constraint type for unique constraints.

### Method Summary

Methods
`java.lang.String` `getSqlName()` Get standard SQL type name.
`static Constraint.Type` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Constraint.Type[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### CHECK

    public static final Constraint.Type CHECK

The constraint type for check constraints.

#### PRIMARY_KEY

    public static final Constraint.Type PRIMARY_KEY

The constraint type for primary key constraints.

#### UNIQUE

    public static final Constraint.Type UNIQUE

The constraint type for unique constraints.

#### REFERENTIAL

    public static final Constraint.Type REFERENTIAL

The constraint type for referential constraints.

### Method Detail

#### values

    public static Constraint.Type[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Constraint.Type c : Constraint.Type.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Constraint.Type valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### getSqlName

    public java.lang.String getSqlName()

Get standard SQL type name.

Returns:
  standard SQL type name